Bug 1732576 - Edits to Product Features Selection Tree in a RBAC Role Does Not Save
Summary: Edits to Product Features Selection Tree in a RBAC Role Does Not Save
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.11.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.11.0
Assignee: Dávid Halász
QA Contact: juwatts
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-23 19:06 UTC by juwatts
Modified: 2019-12-13 14:54 UTC (History)
7 users (show)

Fixed In Version: 5.11.0.17
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-13 14:54:41 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description juwatts 2019-07-23 19:06:39 UTC
Description of problem:
If a user creates a new RBAC role, any edits to the Product Features selection tree will not save.

Version-Release number of selected component (if applicable):
5.11.0.15.20190718144823_3d0108f

How reproducible:
100%

Steps to Reproduce:
1. Create a new RBAC role and edit the selection tree OR select a newly created role and edit the Product Features Selection Tree (See additional info below for another issue)
3. Save the form

Actual results:
Edits to the selection tree were saved

Expected results:
Edits are saved


Additional info:

Monitor, All VM and Instance Access Rules, API, Service UI, Main Configuration cannot be selected on a new or existing RBAC role

Editing just the product Features selection tree does not enable the save button

Comment 4 Dave Johnson 2019-07-23 20:03:00 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 7 Dave Johnson 2019-07-23 22:03:00 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 9 CFME Bot 2019-07-24 14:08:05 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/f9d562aee092479b8e6db1af46cc9698893c5241
commit f9d562aee092479b8e6db1af46cc9698893c5241
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Wed Jul 24 05:20:56 2019 -0400
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Wed Jul 24 05:20:56 2019 -0400

    Select the features tree items when 'everything' is allowed

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1732576

 app/presenters/tree_node/menu/item.rb | 2 +-
 app/presenters/tree_node/miq_product_feature.rb | 4 +-
 2 files changed, 4 insertions(+), 2 deletions(-)

Comment 10 CFME Bot 2019-07-25 20:56:40 UTC
New commit detected on ManageIQ/manageiq-ui-classic/ivanchuk:

https://github.com/ManageIQ/manageiq-ui-classic/commit/0f82e567580e6e531c63cff08a5ac7e64f1bea8e
commit 0f82e567580e6e531c63cff08a5ac7e64f1bea8e
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Wed Jul 24 10:03:01 2019 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Wed Jul 24 10:03:01 2019 -0400

    Merge pull request #5858 from skateman/features-tree-select

    Select the features tree items when 'everything' is allowed

    (cherry picked from commit d5f9004ddf93c6f58cd15aecece38563e4f30fa6)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1732576

 app/presenters/tree_node/menu/item.rb | 2 +-
 app/presenters/tree_node/miq_product_feature.rb | 4 +-
 2 files changed, 4 insertions(+), 2 deletions(-)

Comment 11 juwatts 2019-08-06 15:38:30 UTC
Verified in 5.11.0.17.20190730152352_93b1c30


Note You need to log in before you can comment on or make changes to this bug.